#
# spec file for package gap-fplsa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-fplsa
Version:        1.2.1
Release:        lp152.3.6
Summary:        GAP: Finitely Presented Lie Algebras
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            https://gap-packages.github.io/FPLSA

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/FPLSA-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-devel >= 4.7
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8

%description
The FPLSA package uses a C program that implements a Lie Todd–Coxeter
method for converting finitely presented Lie algebras into isomorphic
structure constant algebras. This is called via the GAP function
IsomorphismSCTableAlgebra.

%prep
%setup -qn FPLSA-%version

%build
./configure "%gapdir" # not autoconf
make %{?_smp_mflags}

%install
rm -Rf src
find . -type f -name "Makefile*" -delete
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Initial package (version 1.2.1) for build.opensuse.org
